# GetLibraryDetailsDirectory


## Fields

| Field                   | Type                    | Required                | Description             | Example                 |
| ----------------------- | ----------------------- | ----------------------- | ----------------------- | ----------------------- |
| `key`                   | *T.nilable(::String)*   | :heavy_minus_sign:      | N/A                     | search?type=1           |
| `title`                 | *T.nilable(::String)*   | :heavy_minus_sign:      | N/A                     | Search...               |
| `secondary`             | *T.nilable(T::Boolean)* | :heavy_minus_sign:      | N/A                     | true                    |
| `prompt`                | *T.nilable(::String)*   | :heavy_minus_sign:      | N/A                     | Search Movies           |
| `search`                | *T.nilable(T::Boolean)* | :heavy_minus_sign:      | N/A                     | true                    |